Bug 581321 - Review Request: perl-Devel-StackTrace-AsHTML - Displays a stack trace in HTML
Summary: Review Request: perl-Devel-StackTrace-AsHTML - Displays a stack trace in HTML
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Devel-Sta...
Whiteboard:
Keywords:
Depends On:
Blocks: perl-Plack, plack
TreeView+ depends on / blocked
 
Reported: 2010-04-11 19:09 UTC by Chris Weyl
Modified: 2011-08-11 08:18 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-06-08 04:37:22 UTC
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-04-11 19:09:55 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Devel-StackTrace-AsHTML.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Devel-StackTrace-AsHTML-0.09-1.fc12.src.rpm

Description:
Devel::StackTrace::AsHTML adds an 'as_html' method to Devel::StackTrace
which displays the stack trace in beautiful HTML, with code snippet
context and function parameters. If you call it on an instance of
Devel::StackTrace::WithLexicals, you even get to see the lexical
variables of each stack frame.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2108676

*rt-0.10_01

Comment 1 Iain Arnell 2010-06-06 07:45:39 UTC
+ source files match upstream.  
    4546fa649ac59fc68d36632dd031d153  Devel-StackTrace-AsHTML-0.09.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2233157

+ package installs properly.
+ rpmlint has no meaningful complaints:
    perl-Devel-StackTrace-AsHTML.src: I: checking
    perl-Devel-StackTrace-AsHTML.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
    perl-Devel-StackTrace-AsHTML.src: W: spelling-error %description -l en_US WithLexicals -> Withdrawals, Athletically, Theatricals
    perl-Devel-StackTrace-AsHTML.src: I: checking-url http://search.cpan.org/dist/Devel-StackTrace-AsHTML (timeout 10 seconds)
    perl-Devel-StackTrace-AsHTML.src: I: checking-url http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/Devel-StackTrace-AsHTML-0.09.tar.gz (timeout 10 seconds)
    perl-Devel-StackTrace-AsHTML.noarch: I: checking
    perl-Devel-StackTrace-AsHTML.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
    perl-Devel-StackTrace-AsHTML.noarch: W: spelling-error %description -l en_US WithLexicals -> Withdrawals, Athletically, Theatricals
    perl-Devel-StackTrace-AsHTML.noarch: I: checking-url http://search.cpan.org/dist/Devel-StackTrace-AsHTML (timeout 10 seconds)
    2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ final provides and requires are sane:
    perl(Devel::StackTrace::AsHTML) = 0.09
    perl-Devel-StackTrace-AsHTML = 0.09-1.fc14
=
    perl >= 0:5.008_001
    perl(Data::Dumper)  
    perl(Devel::StackTrace)  
    perl(:MODULE_COMPAT_5.12.0)  
    perl(Scalar::Util)  
    perl(strict)  

+ %check is present and all tests pass.
    + make test
    PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t
    t/00_compile.t .. ok
    t/encoding.t .... ok
    t/output.t ...... ok
    All tests successful.
    Files=3, Tests=3,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.09 cusr  0.02 csys =  0.14 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED.

Comment 2 Chris Weyl 2010-06-07 17:04:14 UTC
New Package CVS Request
=======================
Package Name: perl-Devel-StackTrace-AsHTML
Short Description: Displays a stack trace in HTML
Owners: cweyl
Branches: F-12 F-13 devel
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-06-07 20:49:34 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Chris Weyl 2010-06-08 04:37:22 UTC
Thanks for the review! :-)

Comment 5 Jose Pedro Oliveira 2011-08-10 22:42:46 UTC
Package Change Request
======================
Package Name: perl-Devel-StackTrace-AsHTML
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]

Comment 6 Gwyn Ciesla 2011-08-11 08:18:53 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.